﻿package
{
	import flash.display.Sprite; 
	import flash.utils.setInterval;
	public class Trainer extends Sprite
	{
		public function Trainer()
		{
			setInterval(addStraw,40);
		}
		private function addStraw():void
		{
			var straw:Straw = new Straw(stage.stageHeight);
			straw.x = stage.stageWidth;
			
			this.addChild(straw);
		}
	}
}
import flash.display.Sprite;
import flash.events.Event;
internal class Straw extends Sprite
{
	var _height:Number;
	public function Straw(height:Number):void
	{
		_height = height;
		this.graphics.beginFill(0xffffff,.1);
		this.graphics.drawRect(width/2, height/2,Math.random()*1+3,_height/3);
		this.graphics.endFill();
		this.addEventListener(Event.ENTER_FRAME,enterHandler);
	}
	private function enterHandler(e:Event):void
	{
		if(this.x <= parent.mouseX){
			var f:Number = parent.mouseX-this.x;
			var c:Number = parent.mouseY-this.y;
			
			var alpha:Number = Math.asin(f/Math.sqrt(f*f + c*c))*360/Math.PI;
			if(Math.sqrt(f*f + c*c)>=_height/6){
				(this.rotation<340)?this.rotation--:this.rotation=450;
			}else{
				this.rotation = alpha;
			}
		}
		if(this.x<=12 && this.rotation==360){
			this.removeEventListener(Event.ENTER_FRAME,enterHandler);
			parent.removeChild(parent.getChildByName(this.name));
		}else{
			this.x-=1;
		}
	}
}